# Form implementation generated from reading ui file 'src/eric7/RemoteServerInterface/EricServerFileDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_EricServerFileDialog(object):
    def setupUi(self, EricServerFileDialog):
        EricServerFileDialog.setObjectName("EricServerFileDialog")
        EricServerFileDialog.resize(600, 450)
        EricServerFileDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(EricServerFileDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.label = QtWidgets.QLabel(parent=EricServerFileDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        self.treeCombo = QtWidgets.QComboBox(parent=EricServerFileDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.treeCombo.sizePolicy().hasHeightForWidth())
        self.treeCombo.setSizePolicy(sizePolicy)
        self.treeCombo.setObjectName("treeCombo")
        self.horizontalLayout.addWidget(self.treeCombo)
        self.backButton = QtWidgets.QToolButton(parent=EricServerFileDialog)
        self.backButton.setObjectName("backButton")
        self.horizontalLayout.addWidget(self.backButton)
        self.forwardButton = QtWidgets.QToolButton(parent=EricServerFileDialog)
        self.forwardButton.setObjectName("forwardButton")
        self.horizontalLayout.addWidget(self.forwardButton)
        self.upButton = QtWidgets.QToolButton(parent=EricServerFileDialog)
        self.upButton.setObjectName("upButton")
        self.horizontalLayout.addWidget(self.upButton)
        self.newDirButton = QtWidgets.QToolButton(parent=EricServerFileDialog)
        self.newDirButton.setObjectName("newDirButton")
        self.horizontalLayout.addWidget(self.newDirButton)
        self.reloadButton = QtWidgets.QToolButton(parent=EricServerFileDialog)
        self.reloadButton.setObjectName("reloadButton")
        self.horizontalLayout.addWidget(self.reloadButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.listing = QtWidgets.QTreeWidget(parent=EricServerFileDialog)
        self.listing.setContextMenuPolicy(QtCore.Qt.ContextMenuPolicy.CustomContextMenu)
        self.listing.setEditTriggers(QtWidgets.QAbstractItemView.EditTrigger.NoEditTriggers)
        self.listing.setAlternatingRowColors(True)
        self.listing.setRootIsDecorated(False)
        self.listing.setItemsExpandable(False)
        self.listing.setObjectName("listing")
        self.verticalLayout.addWidget(self.listing)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.nameLabel = QtWidgets.QLabel(parent=EricServerFileDialog)
        self.nameLabel.setObjectName("nameLabel")
        self.gridLayout.addWidget(self.nameLabel, 0, 0, 1, 1)
        self.nameEdit = QtWidgets.QLineEdit(parent=EricServerFileDialog)
        self.nameEdit.setClearButtonEnabled(True)
        self.nameEdit.setObjectName("nameEdit")
        self.gridLayout.addWidget(self.nameEdit, 0, 1, 1, 1)
        self.okButton = QtWidgets.QPushButton(parent=EricServerFileDialog)
        self.okButton.setDefault(True)
        self.okButton.setObjectName("okButton")
        self.gridLayout.addWidget(self.okButton, 0, 2, 1, 1)
        self.filterLabel = QtWidgets.QLabel(parent=EricServerFileDialog)
        self.filterLabel.setObjectName("filterLabel")
        self.gridLayout.addWidget(self.filterLabel, 1, 0, 1, 1)
        self.filterCombo = QtWidgets.QComboBox(parent=EricServerFileDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.filterCombo.sizePolicy().hasHeightForWidth())
        self.filterCombo.setSizePolicy(sizePolicy)
        self.filterCombo.setObjectName("filterCombo")
        self.gridLayout.addWidget(self.filterCombo, 1, 1, 1, 1)
        self.cancelButton = QtWidgets.QPushButton(parent=EricServerFileDialog)
        self.cancelButton.setObjectName("cancelButton")
        self.gridLayout.addWidget(self.cancelButton, 1, 2, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)

        self.retranslateUi(EricServerFileDialog)
        QtCore.QMetaObject.connectSlotsByName(EricServerFileDialog)
        EricServerFileDialog.setTabOrder(self.nameEdit, self.filterCombo)
        EricServerFileDialog.setTabOrder(self.filterCombo, self.okButton)
        EricServerFileDialog.setTabOrder(self.okButton, self.cancelButton)
        EricServerFileDialog.setTabOrder(self.cancelButton, self.treeCombo)
        EricServerFileDialog.setTabOrder(self.treeCombo, self.backButton)
        EricServerFileDialog.setTabOrder(self.backButton, self.forwardButton)
        EricServerFileDialog.setTabOrder(self.forwardButton, self.upButton)
        EricServerFileDialog.setTabOrder(self.upButton, self.newDirButton)
        EricServerFileDialog.setTabOrder(self.newDirButton, self.reloadButton)
        EricServerFileDialog.setTabOrder(self.reloadButton, self.listing)

    def retranslateUi(self, EricServerFileDialog):
        _translate = QtCore.QCoreApplication.translate
        EricServerFileDialog.setWindowTitle(_translate("EricServerFileDialog", "Open Files"))
        self.label.setText(_translate("EricServerFileDialog", "Look in:"))
        self.backButton.setToolTip(_translate("EricServerFileDialog", "Press to move back in history."))
        self.forwardButton.setToolTip(_translate("EricServerFileDialog", "Press to move forward in history."))
        self.upButton.setToolTip(_translate("EricServerFileDialog", "Press to move up one level."))
        self.newDirButton.setToolTip(_translate("EricServerFileDialog", "Press to create a new directory."))
        self.reloadButton.setToolTip(_translate("EricServerFileDialog", "Press to reload the directory listing."))
        self.listing.setSortingEnabled(False)
        self.listing.headerItem().setText(0, _translate("EricServerFileDialog", "Name"))
        self.listing.headerItem().setText(1, _translate("EricServerFileDialog", "Size"))
        self.listing.headerItem().setText(2, _translate("EricServerFileDialog", "Type"))
        self.listing.headerItem().setText(3, _translate("EricServerFileDialog", "Date Modified"))
        self.nameLabel.setText(_translate("EricServerFileDialog", "File Name:"))
        self.okButton.setText(_translate("EricServerFileDialog", "Open"))
        self.filterLabel.setText(_translate("EricServerFileDialog", "Files of Type:"))
        self.cancelButton.setText(_translate("EricServerFileDialog", "Cancel"))
